Can this be used with iMac mavericks?

G-Technology G-DRIVE with Thunderbolt External Hard Drive

G-Technology G-DRIVE with Thunderbolt External Hard Drive

Product No Longer Available

2 Answers from the Community

  • Answer

    Yes

  • You must run OSX 10.7 or above.